# -*- coding: utf-8 -*-

import typing as typ
if typ.TYPE_CHECKING:
    from adsorber.gui.gui import MplCanvas

from PyQt5 import QtCore, QtWidgets, QtGui     # type: ignore

try:
    _fromUtf8 = QtCore.QString.fromUtf8
except AttributeError:
    _fromUtf8 = lambda s: s

class Ui_MainWindow(object):
    def setupUi(self, MainWindow : typ.Any) -> None:
        MainWindow.setObjectName(_fromUtf8("MainWindow"))
        MainWindow.resize(981, 715)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Expanding)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(MainWindow.sizePolicy().hasHeightForWidth())
        MainWindow.setSizePolicy(sizePolicy)
        self.centralwidget = QtWidgets.QWidget(MainWindow)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Expanding)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.centralwidget.sizePolicy().hasHeightForWidth())
        self.centralwidget.setSizePolicy(sizePolicy)
        self.centralwidget.setObjectName(_fromUtf8("centralwidget"))
        self.gridLayout_2 = QtWidgets.QGridLayout(self.centralwidget)
        self.gridLayout_2.setObjectName(_fromUtf8("gridLayout_2"))
        self.gridLayout = QtWidgets.QGridLayout()
        self.gridLayout.setObjectName(_fromUtf8("gridLayout"))
        self.frame_2 = QtWidgets.QFrame(self.centralwidget)
        self.frame_2.setMinimumSize(QtCore.QSize(0, 81))
        self.frame_2.setFrameShadow(QtWidgets.QFrame.Raised)
        self.frame_2.setLineWidth(20)
        self.frame_2.setObjectName(_fromUtf8("frame_2"))
        self.verticalLayout = QtWidgets.QVBoxLayout(self.frame_2)
        self.verticalLayout.setObjectName(_fromUtf8("verticalLayout"))
        self.frame = QtWidgets.QFrame(self.frame_2)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Preferred, QtWidgets.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.frame.sizePolicy().hasHeightForWidth())
        self.frame.setSizePolicy(sizePolicy)
        self.frame.setFrameShape(QtWidgets.QFrame.StyledPanel)
        self.frame.setFrameShadow(QtWidgets.QFrame.Raised)
        self.frame.setLineWidth(10)
        self.frame.setObjectName(_fromUtf8("frame"))
        self.verticalLayout_3 = QtWidgets.QVBoxLayout(self.frame)
        self.verticalLayout_3.setObjectName(_fromUtf8("verticalLayout_3"))
        self.num_outputs = QtWidgets.QLabel(self.frame)
        font = QtGui.QFont()
        font.setFamily(_fromUtf8("Helvetica"))
        font.setPointSize(20)
        font.setBold(False)
        font.setWeight(50)
        self.num_outputs.setFont(font)
        self.num_outputs.setAlignment(QtCore.Qt.AlignCenter)
        self.num_outputs.setObjectName(_fromUtf8("num_outputs"))
        self.verticalLayout_3.addWidget(self.num_outputs)
        self.filter_progress = QtWidgets.QProgressBar(self.frame)
        self.filter_progress.setProperty("value", 0)
        self.filter_progress.setObjectName(_fromUtf8("filter_progress"))
        self.verticalLayout_3.addWidget(self.filter_progress)
        self.verticalLayout.addWidget(self.frame)
        self.gridLayout.addWidget(self.frame_2, 0, 0, 1, 1)
        self.gridLayout_2.addLayout(self.gridLayout, 0, 1, 1, 1)
        self.gridFrame = QtWidgets.QFrame(self.centralwidget)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Maximum, QtWidgets.QSizePolicy.Minimum)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.gridFrame.sizePolicy().hasHeightForWidth())
        self.gridFrame.setSizePolicy(sizePolicy)
        self.gridFrame.setMaximumSize(QtCore.QSize(16777215, 16777215))
        self.gridFrame.setObjectName(_fromUtf8("gridFrame"))
        self.verticalLayout_2 = QtWidgets.QVBoxLayout(self.gridFrame)
        self.verticalLayout_2.setObjectName(_fromUtf8("verticalLayout_2"))
        self.push_clear = QtWidgets.QPushButton(self.gridFrame)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Minimum, QtWidgets.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.push_clear.sizePolicy().hasHeightForWidth())
        self.push_clear.setSizePolicy(sizePolicy)
        font = QtGui.QFont()
        font.setPointSize(20)
        self.push_clear.setFont(font)
        self.push_clear.setObjectName(_fromUtf8("push_clear"))
        self.verticalLayout_2.addWidget(self.push_clear)
        self.push_select_all = QtWidgets.QPushButton(self.gridFrame)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Minimum, QtWidgets.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.push_select_all.sizePolicy().hasHeightForWidth())
        self.push_select_all.setSizePolicy(sizePolicy)
        font = QtGui.QFont()
        font.setPointSize(20)
        self.push_select_all.setFont(font)
        self.push_select_all.setObjectName(_fromUtf8("push_select_all"))
        self.verticalLayout_2.addWidget(self.push_select_all)
        self.push_toggle_ads = QtWidgets.QPushButton(self.gridFrame)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Minimum, QtWidgets.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.push_toggle_ads.sizePolicy().hasHeightForWidth())
        self.push_toggle_ads.setSizePolicy(sizePolicy)
        font = QtGui.QFont()
        font.setPointSize(20)
        self.push_toggle_ads.setFont(font)
        self.push_toggle_ads.setObjectName(_fromUtf8("push_toggle_ads"))
        self.verticalLayout_2.addWidget(self.push_toggle_ads)
        self.push_finish = QtWidgets.QPushButton(self.gridFrame)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Minimum, QtWidgets.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.push_finish.sizePolicy().hasHeightForWidth())
        self.push_finish.setSizePolicy(sizePolicy)
        font = QtGui.QFont()
        font.setPointSize(20)
        self.push_finish.setFont(font)
        self.push_finish.setObjectName(_fromUtf8("push_finish"))
        self.verticalLayout_2.addWidget(self.push_finish)
        self.push_view = QtWidgets.QPushButton(self.gridFrame)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Minimum, QtWidgets.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.push_view.sizePolicy().hasHeightForWidth())
        self.push_view.setSizePolicy(sizePolicy)
        font = QtGui.QFont()
        font.setPointSize(20)
        self.push_view.setFont(font)
        self.push_view.setObjectName(_fromUtf8("push_view"))
        self.verticalLayout_2.addWidget(self.push_view)
        self.push_quit = QtWidgets.QPushButton(self.gridFrame)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Minimum, QtWidgets.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.push_quit.sizePolicy().hasHeightForWidth())
        self.push_quit.setSizePolicy(sizePolicy)
        font = QtGui.QFont()
        font.setPointSize(20)
        self.push_quit.setFont(font)
        self.push_quit.setObjectName(_fromUtf8("push_quit"))
        self.verticalLayout_2.addWidget(self.push_quit)
        self.frame1 = QtWidgets.QFrame(self.gridFrame)
        self.frame1.setMinimumSize(QtCore.QSize(0, 100))
        self.frame1.setMaximumSize(QtCore.QSize(16777215, 16777215))
        self.frame1.setFrameShape(QtWidgets.QFrame.StyledPanel)
        self.frame1.setFrameShadow(QtWidgets.QFrame.Raised)
        self.frame1.setLineWidth(10)
        self.frame1.setObjectName(_fromUtf8("frame1"))
        self.verticalLayout_4 = QtWidgets.QVBoxLayout(self.frame1)
        self.verticalLayout_4.setObjectName(_fromUtf8("verticalLayout_4"))
        self.label = QtWidgets.QLabel(self.frame1)
        font = QtGui.QFont()
        font.setFamily(_fromUtf8("Helvetica"))
        font.setPointSize(20)
        self.label.setFont(font)
        self.label.setAlignment(QtCore.Qt.AlignCenter)
        self.label.setObjectName(_fromUtf8("label"))
        self.verticalLayout_4.addWidget(self.label)
        self.filter_list = QtWidgets.QComboBox(self.frame1)
        font = QtGui.QFont()
        font.setFamily(_fromUtf8("Helvetica"))
        font.setPointSize(18)
        self.filter_list.setFont(font)
        self.filter_list.setObjectName(_fromUtf8("filter_list"))
        self.verticalLayout_4.addWidget(self.filter_list)
        self.push_apply = QtWidgets.QPushButton(self.frame1)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Minimum, QtWidgets.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.push_apply.sizePolicy().hasHeightForWidth())
        self.push_apply.setSizePolicy(sizePolicy)
        font = QtGui.QFont()
        font.setFamily(_fromUtf8("Helvetica"))
        font.setPointSize(20)
        self.push_apply.setFont(font)
        self.push_apply.setObjectName(_fromUtf8("push_apply"))
        self.verticalLayout_4.addWidget(self.push_apply)
        self.push_undo = QtWidgets.QPushButton(self.frame1)
        font = QtGui.QFont()
        font.setFamily(_fromUtf8("Helvetica"))
        font.setPointSize(20)
        self.push_undo.setFont(font)
        self.push_undo.setObjectName(_fromUtf8("push_undo"))
        self.verticalLayout_4.addWidget(self.push_undo)
        self.verticalLayout_2.addWidget(self.frame1)
        spacerItem = QtWidgets.QSpacerItem(20, 40, QtWidgets.QSizePolicy.Minimum, QtWidgets.QSizePolicy.Expanding)
        self.verticalLayout_2.addItem(spacerItem)
        self.Message_box_frame = QtWidgets.QFrame(self.gridFrame)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Minimum, QtWidgets.QSizePolicy.Expanding)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.Message_box_frame.sizePolicy().hasHeightForWidth())
        self.Message_box_frame.setSizePolicy(sizePolicy)
        self.Message_box_frame.setMinimumSize(QtCore.QSize(0, 0))
        self.Message_box_frame.setMaximumSize(QtCore.QSize(167715, 16777215))
        self.Message_box_frame.setFrameShape(QtWidgets.QFrame.StyledPanel)
        self.Message_box_frame.setFrameShadow(QtWidgets.QFrame.Raised)
        self.Message_box_frame.setLineWidth(10)
        self.Message_box_frame.setObjectName(_fromUtf8("Message_box_frame"))
        self.gridLayout_3 = QtWidgets.QGridLayout(self.Message_box_frame)
        self.gridLayout_3.setObjectName(_fromUtf8("gridLayout_3"))
        self.messages = QtWidgets.QLabel(self.Message_box_frame)
        font = QtGui.QFont()
        font.setFamily(_fromUtf8("Helvetica"))
        font.setPointSize(15)
        font.setBold(True)
        font.setWeight(75)
        self.messages.setFont(font)
        self.messages.setWordWrap(True)
        self.messages.setObjectName(_fromUtf8("messages"))
        self.gridLayout_3.addWidget(self.messages, 0, 0, 1, 1)
        self.verticalLayout_2.addWidget(self.Message_box_frame)
        spacerItem1 = QtWidgets.QSpacerItem(20, 40, QtWidgets.QSizePolicy.Minimum, QtWidgets.QSizePolicy.Expanding)
        self.verticalLayout_2.addItem(spacerItem1)
        self.gridLayout_2.addWidget(self.gridFrame, 0, 0, 1, 1)
        MainWindow.setCentralWidget(self.centralwidget)
        self.menubar = QtWidgets.QMenuBar(MainWindow)
        self.menubar.setGeometry(QtCore.QRect(0, 0, 981, 22))
        self.menubar.setObjectName(_fromUtf8("menubar"))
        MainWindow.setMenuBar(self.menubar)
        self.statusbar = QtWidgets.QStatusBar(MainWindow)
        self.statusbar.setObjectName(_fromUtf8("statusbar"))
        MainWindow.setStatusBar(self.statusbar)
        self.canvas = None # type: MplCanvas
        self.retranslateUi(MainWindow)
        QtCore.QMetaObject.connectSlotsByName(MainWindow)

    def retranslateUi(self, MainWindow : typ.Any) -> None:
        MainWindow.setWindowTitle(QtWidgets.QApplication.translate("MainWindow", "MainWindow"))
        self.num_outputs.setText(QtWidgets.QApplication.translate("MainWindow", "Number of Output Structures Remaining: "))
        self.push_clear.setText(QtWidgets.QApplication.translate("MainWindow", "Clear Selection"))
        self.push_select_all.setText(QtWidgets.QApplication.translate("MainWindow", "Select All"))
        self.push_finish.setText(QtWidgets.QApplication.translate("MainWindow", "Finish Selection"))
        self.push_view.setText(QtWidgets.QApplication.translate("MainWindow", "View"))
        self.push_quit.setText(QtWidgets.QApplication.translate("MainWindow", "Quit"))
        self.label.setText(QtWidgets.QApplication.translate("MainWindow", "Filter List"))
        self.push_apply.setText(QtWidgets.QApplication.translate("MainWindow", "Apply Filter"))
        self.push_undo.setText(QtWidgets.QApplication.translate("MainWindow", "Undo Filter"))
        self.push_toggle_ads.setText(QtWidgets.QApplication.translate("MainWindow", "Toggle Adsorbates"))
        self.messages.setText(QtWidgets.QApplication.translate("MainWindow", "Messages"))
